Showcases

Update a showcase

PATCH
/showcases/{id}

Authorization

bearerAuth
headerAuthorizationBearer <token>

API key from Settings → API keys, sent as Authorization: Bearer ezqr_…. Requires the Max plan.

Path Parameters

id*string

The showcase's id

Formatuuid

Request Body

application/json
  1. body
title?string
Length1 <= length
description?string|null
slug?string
template?ShowcaseTemplate
Value in"minimal""modern""bold""professional""dark"
customColors?|null
customBackgroundUrl?|
Formaturi
logoUrl?string|null
showBranding?boolean
isActive?boolean

Response Body

The updated showcase

application/json
  1. response
data*
curl -X PATCH 'https://ez-qr.com/api/v1/showcases/497f6eca-6276-4993-bfeb-53cbbbba6f08' \  -H 'Content-Type: application/json' \  -d '{}'
{  "data": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "qrCodeId": "8a619d64-dbe8-4c9d-9490-babe22a53a28",    "title": "string",    "description": "string",    "slug": "string",    "template": "minimal",    "showBranding": true,    "isActive": true,    "viewCount": 0,    "downloadCount": 0,    "createdAt": "2019-08-24T14:15:22Z"  }}